Index: main/features.c
===================================================================
--- main/features.c	(revision 290969)
+++ main/features.c	(working copy)
@@ -1481,9 +1481,12 @@
 		}
 	}
 
+	ast_log(LOG_NOTICE, "doing a feature_request_and_dial for %s and %s\n", transferer->name, transferee->name);
 	newchan = feature_request_and_dial(transferer, transferee, "Local", ast_best_codec(transferer->nativeformats),
 		xferto, atxfernoanswertimeout, &outstate, transferer->cid.cid_num, transferer->cid.cid_name, 1, transferer->language);
 
+	ast_log(LOG_NOTICE, "done with feature_request_and_dial, got %s\n", newchan ? newchan->name : "nothing");
+
 	if (!ast_check_hangup(transferer)) {
 		int hangup_dont = 0;
 
@@ -1515,6 +1518,7 @@
 		if (ast_test_flag(chan, AST_FLAG_BRIDGE_HANGUP_DONT)) {
 			hangup_dont = 1;
 		}
+		ast_log(LOG_NOTICE, "going to bridge %s and %s for attended transfer\n", transferer->name, newchan->name);
 		res = ast_bridge_call(transferer, newchan, &bconfig);
 		if (hangup_dont) {
 			ast_set_flag(chan, AST_FLAG_BRIDGE_HANGUP_DONT);
@@ -1598,8 +1602,12 @@
 			tobj->bconfig.end_bridge_callback_data_fixup(&tobj->bconfig, tobj->peer, tobj->chan);
 		}
 
+		ast_log(LOG_NOTICE, "Not going to play transfer sound.\n");
+#if 0
 		if (ast_stream_and_wait(newchan, xfersound, ""))
 			ast_log(LOG_WARNING, "Failed to play transfer sound!\n");
+#endif
+		ast_log(LOG_NOTICE, "finishing up attended transfer by bridging %s and %s\n", xferchan->name, newchan->name);
 		bridge_call_thread_launch(tobj);
 		return -1;      /* XXX meaning the channel is bridged ? */
 	} else if (!ast_check_hangup(transferee)) {
@@ -2284,6 +2292,7 @@
 			}
 			f = ast_read(chan);
 			if (f == NULL) { /*doh! where'd he go?*/
+				ast_log(LOG_NOTICE, "error reading from %s", chan->name);
 				state = AST_CONTROL_HANGUP;
 				res = 0;
 				break;
@@ -2303,6 +2312,7 @@
 					break;
 				} else if (f->subclass == AST_CONTROL_ANSWER) {
 					/* This is what we are hoping for */
+					ast_log(LOG_NOTICE, "got answer on %s\n", chan->name);
 					state = f->subclass;
 					ast_frfree(f);
 					f = NULL;
@@ -2319,6 +2329,7 @@
 		} else if (caller && (active_channel == caller)) {
 			f = ast_read(caller);
 			if (f == NULL) { /*doh! where'd he go?*/
+				ast_log(LOG_NOTICE, "error reading from caller %s\n", chan->name);
 				if (!igncallerstate) {
 					if (ast_check_hangup(caller) && !ast_check_hangup(chan)) {
 						/* make this a blind transfer */
